Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001269Anope Stable (1.8.x series)Otherpublic2011-05-15 19:102011-07-28 18:25
Reporterkatsklaw 
Assigned Totherock247uk 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionGIT (include a /version response in report) 
Summary0001269: install.js contains wrong path for MSVC++ 2010 for Windows 7
Descriptionfor at least the 64-bit version. Anope-1.8.6 paths in install.js

Path is:
Program Files\\Microsoft Platform SDK for Windows Server 2003 R2

Path should be:
Program Files\\Microsoft SDKs\\Windows\\v7.1
Steps To ReproduceTry to compile on Windows 7
Additional InformationWindows 7 uses Windows SDKs, not the Platform SDK version that XP uses.
TagsNo tags attached.
Attached Filesdiff file icon windows7fix.diff [^] (8,599 bytes) 2011-07-28 17:17 [Show Content]

- Relationships

-  Notes
(0005881)
LEthaLity (manager)
2011-07-28 18:25

Fixed (hopefully) in commit 8007cc8a3a162d
(0005880)
LEthaLity (manager)
2011-07-28 17:16
edited on: 2011-07-28 17:18

Included possible patch to fix this issue (http://lethality.me.uk/patches/windows7fix.diff [^] ignore the docs/win32 stuff), works for me on my pc and laptop, both running Windows 7 with vs c++ 2010.
Worth noting that c++ 2010 does come with Windows 7 SDK v7.0A included, the proposed fix now checks for 7.1, 7.0A, 7.0.


Looking for a suitable compiler...

Looking for: Microsoft Visual Studio 2010 (64bit)...
SUCCESS: Microsoft Visual Studio 2010 (64bit) was found, and is complete!

Build tools were found successfully!

Anope will be compiled with the following options:

        MySQL DB Support: [NO]
        Compiler Version: Microsoft Visual Studio 2010 (64bit)
        MySQLDB Version: Not Enabled
        Anope Version: 1.8.6.3072

(0005832)
Adam (administrator)
2011-05-24 23:43

On 32-bit Windows 7 with VS2010 this affects me too, however my path needs to be Program Files\Microsoft Platform SDK\
(0005825)
katsklaw (reporter)
2011-05-18 02:12

Grrr, sorry. It doesn't contain the wrong path for MSVC++ '10, but for the SDK package that Windows 7 uses. Granted, XP can use the '03 SDK but Windows 7 doesn't, so to compile on Windows 7 you have to have the Windows SDKs found at: http://www.microsoft.com/downloads/dlx/en-us/listdetailsview.aspx?FamilyID=6b6c21d2-2006-4afa-9702-529fa782d63b [^]
(0005824)
katsklaw (reporter)
2011-05-15 19:11

This bug refers to Anope-1.8.6

- Issue History
Date Modified Username Field Change
2011-05-15 19:10 katsklaw New Issue
2011-05-15 19:11 katsklaw Note Added: 0005824
2011-05-18 02:12 katsklaw Note Added: 0005825
2011-05-24 23:43 Adam Note Added: 0005832
2011-05-24 23:44 Adam Assigned To => therock247uk
2011-05-24 23:44 Adam Status new => acknowledged
2011-07-28 17:16 LEthaLity Note Added: 0005880
2011-07-28 17:17 LEthaLity File Added: windows7fix.diff
2011-07-28 17:18 LEthaLity Note Edited: 0005880 View Revisions
2011-07-28 17:18 LEthaLity Note Edited: 0005880 View Revisions
2011-07-28 17:19 LEthaLity Status acknowledged => confirmed
2011-07-28 18:25 LEthaLity Note Added: 0005881
2011-07-28 18:25 LEthaLity Status confirmed => resolved
2011-07-28 18:25 LEthaLity Fixed in Version => GIT (include a /version response in report)
2011-07-28 18:25 LEthaLity Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker